function wxBugUpdateObs() {
	//check last update and compare to interval
	var lu = wxBugGetCharPref(wxBugPrefObsLastUpdate, 0);
	var inter = wxBugGetIntPref(wxBugPrefObsInterval, wxBugDefaultInter);
	var res = wxBugGetCharPref(wxBugPrefTemper);
	
	var now = new Date();
	var lastUpdate = new Date();
	lastUpdate.setTime(lu);
	wxBugLog('Obs last update = ' + lastUpdate);
	wxBugLog('Obs interval = ' + inter);
	wxBugLog('Obs diff: ' + (now.getTime() - lu));
	
	
	if (!(res) || wxBugIsDataExpired(lu, inter)) {
		// make http call
		wxBugGetObs();
	}
	else {
		//read from cache
		wxBugLog('obs cache');
		//wxBugUpdateObUi();
	}	
}

function wxBugGetObs() {
	//wxBugLog('wxBugGetObs()');
	
	var url;
	if (wxBugIsUs())
		url = wxBugGetCharPref(wxBugPrefObsUrl);
	else
		url = wxBugGetCharPref(wxBugPrefObsWorldUrl);
		
	if (url) {	
		url = wxBugDeTokenizeUrl(url);
		wxBugLog('Obs http: ' + url);
		var ah = new wxBugAsyncHttp(url, 'wxBugParseObsData');
	}
}

function wxBugParseObsData(response) {
	wxBugLog('wxBugParseObsData - ' + response);
	
	var data = response.split('|');
	
	var temper = '';
	if (wxBugIsNumeric(data[1]))
		temper = data[1];
	else
		temper = '--';
	
	// write response to cache
	wxBugSetCharPref(wxBugPrefTemper, temper);
	
	//set the last update time
	var now = new Date();
	wxBugSetCharPref(wxBugPrefObsLastUpdate, now.getTime());
	
	wxBugUpdateObUi();
}

function wxBugUpdateObUi() {
	//wxBugLog('wxBugUpdateObUi()');
	var temperBtn = document.getElementById('wxBugTemperature');
	var temper = wxBugGetCharPref(wxBugPrefTemper, '--');
	temperBtn.setAttribute('class', 'wxBugTemperature');
	temperBtn.setAttribute('value', (temper + wxBugGetUnitsDisplay()));
	//update the text in the temp button popup;
	wxBugUpdateLocationName();
	//set so we know temp is not displaying an alert
	wxBugIsAlertDisplaying = false;
}